Skip to main content
POST
/
notes
Create Note
curl --request POST \
  --url https://crm.universal.rollout.com/api/notes \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --header 'X-Rollout-Credential-Id: <api-key>' \
  --data '
{
  "personId": "<string>",
  "assignedUserId": "<string>",
  "subject": "<string>",
  "body": "<string>",
  "isHtml": true
}
'
{
  "id": "<string>",
  "personId": "<string>",
  "assignedUserId": "<string>",
  "createdByUserId": "<string>",
  "updatedByUserId": "<string>",
  "subject": "<string>",
  "body": "<string>",
  "isHtml": true,
  "created": "<string>",
  "updated": "<string>",
  "rolloutUpdated": "<string>",
  "originalIds": {},
  "original": {}
}
POST /notes Base URL: https://crm.universal.rollout.com/api

Parameters

No parameters.

Responses

StatusDescription
201Created
400Bad Request
409Conflict

OpenAPI Source

/openapi/crm.json POST /notes

Authorizations

Authorization
string
header
required

Authorization JWT

X-Rollout-Credential-Id
string
header
required

The Rollout Credential ID to use for queries/mutations

Body

personId
string
required
assignedUserId
string
subject
string
body
string
isHtml
boolean

Response

Created

id
string
required
personId
string
required
assignedUserId
string
required
createdByUserId
string
required
updatedByUserId
string
required
subject
string
required
body
string
required
isHtml
boolean
required
created
string
required
updated
string
required
rolloutUpdated
string
required
originalIds
object
required
original
object
required